## python-wikkid 0+git20211221.1.b129e3b

=== Makefile ===
#
# Copyright (C) 2010 Wikkid Developers.
#
# This software is licensed under the GNU Affero General Public License
# version 3 (see the file LICENSE).

all: check


check:
	python -m testtools.run wikkid.tests.test_suite


clean:
	@find . -name '*.py[co]' -print0 | xargs -r0 $(RM)
	@find . -name '*~' -print0 | xargs -r0 $(RM)


.PHONY: check clean

docker:
	docker build -t ghcr.io/wikkid-team/wikkid .
	docker push ghcr.io/wikkid-team/wikkid

=== debian/changelog ===
python-wikkid (0+git20211221.1.b129e3b-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 01 Aug 2022 15:07:03 -0400

python-wikkid (0+git20211221.1.b129e3b-1) unstable; urgency=low

  * Initial release. Closes: #1003054

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 03 Jan 2022 14:48:25 +0000

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-breezy, python3-docutils, python3-dulwich, python3-jinja2, python3-pygments, python3-twisted, python3-webob, python3-zope.interface, python3-setuptools, python3-testtools, python3-breezy.tests, python3-bs4
Testsuite: autopkgtest-pkg-python
Source: python-wikkid
Priority: optional
Section: web
Homepage: https://github.com/wikkid-team/wikkid
Maintainer: Python Packaging Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/python-team/packages/wikkid.git
Vcs-Browser: https://salsa.debian.org/python-team/packageswikkid

Package: python3-wikkid
Depends: ${python3:Depends}, ${misc:Depends}, python3-dulwich | python3-breezy, python3-jinja2, python3-pygments, python3-twisted, python3-webob, python3-zope.interface, python3-docutils
Architecture: all
Description: VCS-backed wiki
 A wiki that is backed by Git or Bazaar and allows local branching of
 the wiki for later merging.
 .
 It doesn't have any page locks and uses three way merging.

## python-wikkid 0.4

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 
 check:
-	python -m testtools.run wikkid.tests.test_suite
+	python3 -m testtools.run wikkid.tests.test_suite
 
 
 clean:

=== debian/changelog ===
python-wikkid (0.4-1) unstable; urgency=medium

  * debian/copyright: Drop + from license identifier, since wikkid is
    AGPL, v3-only.
  * New upstream release.
    + Switches to merge3. Closes: #1022283

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 20:57:15 +0000

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-breezy, python3-docutils, python3-dulwich, python3-jinja2, python3-pygments, python3-twisted, python3-webob, python3-zope.interface, python3-setuptools, python3-testtools, python3-breezy.tests, python3-bs4, python3-lxml, python3-merge3
Testsuite: autopkgtest-pkg-python
Source: python-wikkid
Priority: optional
Section: web
Homepage: https://github.com/wikkid-team/wikkid
Maintainer: Python Packaging Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/python-team/packages/wikkid.git
Vcs-Browser: https://salsa.debian.org/python-team/packageswikkid

Package: python3-wikkid
Depends: ${python3:Depends}, ${misc:Depends}, python3-dulwich | python3-breezy, python3-jinja2, python3-pygments, python3-twisted, python3-webob, python3-zope.interface, python3-docutils, python3-merge3
Architecture: all
Description: VCS-backed wiki
 A wiki that is backed by Git or Bazaar and allows local branching of
 the wiki for later merging.
 .
 It doesn't have any page locks and uses three way merging.

## python-wikkid 0.5

=== debian/changelog ===
python-wikkid (0.5-1) unstable; urgency=medium

  * Fix Vcs-Browser URL
  * New upstream version 0.5
  * Add d/watch
  * Add d/gbp.conf
  * Replace 'cgi.escape()' with 'html.escape()' (Closes: #1084591)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 01:27:14 +0100

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-breezy,
 python3-breezy.tests,
 python3-bs4,
 python3-docutils,
 python3-dulwich,
 python3-jinja2,
 python3-lxml,
 python3-merge3,
 python3-pygments,
 python3-twisted,
 python3-webob,
 python3-zope.interface,
 python3-setuptools,
 python3-testtools,
Testsuite: autopkgtest-pkg-python
Source: python-wikkid
Priority: optional
Section: web
Homepage: https://github.com/wikkid-team/wikkid
Maintainer: Python Packaging Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/python-team/packages/wikkid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/wikkid

Package: python3-wikkid
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-docutils,
 python3-dulwich | python3-breezy,
 python3-jinja2,
 python3-merge3,
 python3-pygments,
 python3-twisted,
 python3-webob,
 python3-zope.interface,
Architecture: all
Description: VCS-backed wiki
 A wiki that is backed by Git or Bazaar and allows local branching of
 the wiki for later merging.
 .
 It doesn't have any page locks and uses three way merging.

=== debian/watch ===
version=4
https://github.com/wikkid-team/wikkid/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
